Package org.eclipse.ecf.remoteservice.provider

# Class AdapterConfig

java.lang.Object
org.eclipse.ecf.remoteservice.provider.AdapterConfig

public class AdapterConfig extends Object
An adapter config is used to setup an adaptable.

Since:
  8.7

## Constructor Summary

Constructors
Constructor
Description
`AdapterConfig(org.eclipse.core.runtime.IAdapterFactory adapterFactory, Class<?> adaptable)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getAdaptable()`
`org.eclipse.core.runtime.IAdapterFactory`
`getAdapterFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdapterConfig

public AdapterConfig(org.eclipse.core.runtime.IAdapterFactory adapterFactory, Class<?> adaptable)

Parameters:
  `adapterFactory` - the adapter factory to use for the given adaptable. Must not be `null`
  `adaptable` - the Class that the adapterFactory is to use as the adaptable. Must not be `null`.

## Method Details

### getAdapterFactory

public org.eclipse.core.runtime.IAdapterFactory getAdapterFactory()

### getAdaptable

public Class<?> getAdaptable()